---
- hosts: localhost
  become: no
  gather_facts: False
  tasks:
    - name: "Check ansible version >=2.7.8"
      assert:
        msg: "Ansible must be v2.7.8 or higher"
        that:
          - ansible_version.string is version("2.7.8", ">=")
      tags:
        - check
  vars:
    ansible_connection: local

- hosts: bastion[0]
  gather_facts: False
  roles:
    - { role: kubespray-defaults}
    - { role: bastion-ssh-config, tags: ["localhost", "bastion"]}

- name: Gather facts
  import_playbook: facts.yml

- hosts: etcd:k8s-cluster:calico-rr
  gather_facts: False
  vars_prompt:
    name: "reset_confirmation"
    prompt: "Are you sure you want to reset cluster state? Type 'yes' to reset your cluster."
    default: "no"
    private: no

  pre_tasks:
    - name: check confirmation
      fail:
        msg: "Reset confirmation failed"
      when: reset_confirmation != "yes"

  roles:
    - { role: kubespray-defaults}
    - { role: reset, tags: reset }
